Get a Model

Returns the details of a model, provided its name.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

modelstringRequired

Headers

X-Client-NamestringOptional
The name of the project that is making the request.

Response headers

X-API-Warningstring
The name of the project that is making the request.

Response

OK
namestring

Specify this name in the model parameter of API requests to use your chosen model.

is_deprecatedboolean
Whether the model is deprecated or not.
endpointslist of enums
The API endpoints that the model is compatible with.
finetunedboolean

Whether the model has been fine-tuned or not.

context_lengthdouble
The maximum number of tokens that the model can process in a single request. Note that not all of these tokens are always available due to special tokens and preambles that Cohere has added by default.
tokenizer_urlstring
Public URL to the tokenizer's configuration file.
default_endpointslist of enums
The API endpoints that the model is default to.
featureslist of strings
The features that the model supports.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
498
Invalid Token Error
499
Client Closed Request Error
500
Internal Server Error
501
Not Implemented Error
503
Service Unavailable Error
504
Gateway Timeout Error